
html, body {
    font-family: 'Hiragino Kaku Gothic Pro', 'Meiryo', sans-serif;
    height: 100%; /*custom*/
    margin: 0; /*custom*/
    -webkit-text-size-adjust: 100%; /*iPhone用*/
    overflow-x: hidden; /*iPhone用*/
    overflow-y: hidden; /*iPhone用*/
}

input,
textarea,
select,
InputText,
.form-control,
.form-select {
    font-size: 14px !important; 
}

a, .btn-link {
    color: #006bb7;
}

    .btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
    }

.main-area {
    flex: 1;
    display: flex;
    overflow: hidden
}

.content {
    height: 100%;
    padding-left: 2em;
    padding-right: 2em;
    overflow: hidden;
    padding-top: 1.1rem;
    padding-bottom: 1.1rem;
    flex: 1;
}

@media (max-width: 768px) {
    .content {
        padding-left: 0.5em;
        padding-right: 0.5em;
        padding-top: 0.1rem;
    }

    input,
    textarea,
    select,
    InputText,
    .form-control,
    .form-select {
        font-size: 20px !important; /*iPhone用*/
    }
}

/* モーダル時だけ解放 */
body.modal-open .content {
    overflow: auto;
    /*overflow-y: auto;*/
}

.main-area,
.content {
    min-height: 0;
    min-width: 0;
}

.account-page {
    height: 100%;
    display: flex;
    flex-direction: column;
}

    .account-page .account-main {
        display: flex;
        flex: 1;
        min-height: 0;
        min-width: 0;
    }

    .account-page .account-navimenu {
        flex: 0 0 250px;
        overflow-y: auto;
        min-height: 0;
    }

/*ページ本体*/
.addmin-page {
    height: 100%;
    display: flex;
    flex-direction: column;
}

/*本体*/
.addmin-main {
    display: flex;
    flex: 1 1 auto;
    min-height: 0;
    min-width: 0;
}

/*左*/
.addmin-navimenu {
    flex: 0 0 250px;
    overflow-y: auto;
    min-height: 0;
}

/*本体*/
.addmin-body {
    display: flex;
    flex: 1 1 auto;
    min-height: 0;
    min-width: 0;
    flex-direction: column;
    overflow-y: auto;
}

@media (max-width: 575.98px) {

    .addmin-page
    .addmin-navimenu {
        width: 100%;
    }

    .addmin-body {
        width: 100%;
        padding-bottom: 80px;
/*        padding-left: 0.3rem;
        padding-right: 0.3rem;*/
    } 
}



/* ===== 親レイアウト ===== */
.home-main-page {
    display: flex;
    height: 100%;
    margin: 2% 10%;
    min-height: 0;
    overflow: hidden;
}

/* ===== 左：インフォ ===== */
.home-main-body {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    min-height: 0;
    margin-right:0.5rem;
}

.home-main-notice {
    flex: 1 1 auto;
    overflow-y: auto;
    min-height: 0;
}

/* ===== 右：ナビ ===== */
.home-navi-body {
    flex: 0 0 350px;
    display: flex;
    flex-direction: column;
    min-height: 0;
}

.home-navi-menu {
    flex: 1 1 auto;
    overflow-y: auto;
    min-height: 0;
}

/* ===== スマホ ===== */
@media (max-width: 575.98px) {

    .home-main-page {
        flex-direction: column;
        margin: 0.2rem 0rem;
        overflow: auto;
        overflow-y: auto;
        height: 100%;
        padding-bottom: 80px
    }

    .home-main-body {
        flex: 0 0 auto;
        min-height: auto;
        margin-right: 0rem;
    }

    .home-main-notice {
        flex: none;
        overflow: visible; /* ← 内部スクロール解除 */
        min-height: auto;
    }

    .home-navi-body {
        flex: 0 0 auto; /* ← 固定サイズ解除 */
        width: 100%;
        min-height: auto;
    }

    .home-navi-menu {
        flex: none;
        overflow: visible; /* ← 内部スクロール解除 */
        min-height: auto;
    }
}

/*------ SrS/HMJ ManageOrder*/

.manageorder-body {
    height: 100%;
    min-height: 0;
    min-width: 0;
    overflow-y: auto;
}

@media (max-width: 575.98px) {

    .manageorder-body {
        padding-bottom: 80px;
        padding-left: 0.3rem;
        padding-right: 0.3rem;
    }
}


h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}
